[HarfBuzz] harfbuzz: Branch 'master'

Behdad Esfahbod behdad at kemper.freedesktop.org
Wed Dec 30 06:46:05 PST 2015


 .ci/deploy-docs.sh |   46 +++++++++++++++++++++++++++-------------------
 1 file changed, 27 insertions(+), 19 deletions(-)

New commits:
commit f3a051149b3b565b5ad4e489bf730c5203c3549e
Author: Behdad Esfahbod <behdad at behdad.org>
Date:   Wed Dec 30 15:45:43 2015 +0100

    [docs] Shuffling code around in deploy-docs.sh
    
    Temporarily makes it rebuild docs on every change again.

diff --git a/.ci/deploy-docs.sh b/.ci/deploy-docs.sh
index 2da84c3..5f07907 100755
--- a/.ci/deploy-docs.sh
+++ b/.ci/deploy-docs.sh
@@ -1,27 +1,35 @@
-TAG="$(git describe --exact-match --match "[0-9]*" HEAD 2>/dev/null)"
 
 set -o errexit -o nounset
 
-if [ "$TRAVIS_OS_NAME" == "linux" -a "$CC" == "gcc" -a "$TRAVIS_SECURE_ENV_VARS" == "true" -a "$TAG" != "" ]
-then
-	DOCSDIR=build-docs
+if [ "$TRAVIS_OS_NAME" != "linux" -o "$CC" != "gcc" -o "$TRAVIS_SECURE_ENV_VARS" != "true" ]; then
+	exit
+fi
+
+BRANCH="$(TRAVIS_BRANCH)"
+TAG="$(git describe --exact-match --match "[0-9]*" HEAD 2>/dev/null)"
+
+if [ "x$TAG" == x ]; then
 	REVISION=$(git rev-parse --short HEAD)
+else
+	REVISION=$TAG
+fi
 
-	rm -rf $DOCSDIR || exit
-	mkdir $DOCSDIR
-	cd $DOCSDIR
+DOCSDIR=build-docs
 
-	cp ../docs/html/* .
+rm -rf $DOCSDIR || exit
+mkdir $DOCSDIR
+cd $DOCSDIR
 
-	git init
-	git config user.name "Travis CI"
-	git config user.email "travis at harfbuzz.org"
-	git remote add upstream "https://$GH_TOKEN@github.com/$TRAVIS_REPO_SLUG.git"
-	git fetch upstream
-	git reset upstream/gh-pages
+cp ../docs/html/* .
 
-	touch .
-	git add -A .
-	git commit -m "Rebuild docs for $REVISION"
-	git push -q upstream HEAD:gh-pages
-fi
+git init
+git config user.name "Travis CI"
+git config user.email "travis at harfbuzz.org"
+git remote add upstream "https://$GH_TOKEN@github.com/$TRAVIS_REPO_SLUG.git"
+git fetch upstream
+git reset upstream/gh-pages
+
+touch .
+git add -A .
+git commit -m "Rebuild docs for $REVISION"
+git push -q upstream HEAD:gh-pages


More information about the HarfBuzz mailing list